### Method

# Soup Server get_uris

#### Declaration [src]

    GSList*
    soup_server_get_uris (
      SoupServer* server
    )

#### Description [src]

Gets a list of URIs corresponding to the interfaces `server` is listening on.

These will contain IP addresses, not hostnames, and will also indicate whether the given listener is http or https.

Note that if you used `soup_server_listen_all()` the returned URIs will use the addresses `0.0.0.0` and `::`, rather than actually returning separate URIs for each interface on the system.

#### Return value

Type: A list of `GUri*`

A list of `GUris`, which you must free when you are done with it.

The caller of the method takes ownership of the data, and is responsible for freeing it.